# dmx_glxvisuals.h File Reference

`#include <GL/glxint.h>`

Go to the source code of this file.

## Data Structures

struct | dmxGlxVisualPrivate

## Functions

__GLXvisualConfig * | GetGLXVisualConfigs (Display *dpy, int screen, int *nconfigs)
__GLXFBConfig * | GetGLXFBConfigs (Display *dpy, int glxMajorOpcode, int *nconfigs)
__GLXvisualConfig * | GetGLXVisualConfigsFromFBConfigs (__GLXFBConfig *fbconfigs, int nfbconfigs, XVisualInfo *visuals, int nvisuals, __GLXvisualConfig *glxConfigs, int nGlxConfigs, int *nconfigs)

## Function Documentation

__GLXFBConfig* GetGLXFBConfigs | ( | Display * | dpy,
|  | int | glxMajorOpcode,
|  | int * | nconfigs
| ) |  |

Referenced by InitOutput().

__GLXvisualConfig* GetGLXVisualConfigs | ( | Display * | dpy,
|  | int | screen,
|  | int * | nconfigs
| ) |  |

Referenced by InitOutput().

__GLXvisualConfig* GetGLXVisualConfigsFromFBConfigs | ( | __GLXFBConfig * | fbconfigs,
|  | int | nfbconfigs,
|  | XVisualInfo * | visuals,
|  | int | nvisuals,
|  | __GLXvisualConfig * | glxConfigs,
|  | int | nGlxConfigs,
|  | int * | nconfigs
| ) |  |

Referenced by InitOutput().